# CHANGES IN Eureka 2.0.0

(Since version 1.27b)

## Resource and project setup

* Wads are now loaded fully in memory. **Note**: currently it still doesn't autodetect file changes,
  so take care not to open the level in other editors at the same time.
* Resources can be loaded as folders, having the standard PK3/PKE layout.
* Added Dehacked resource support, by contribution of Isaac Colón ([https://github.com/iccolon818](https://github.com/iccolon818)).
* Fixed the EUREKA lump to store relative paths so that the user settings are portable between
  computers.
* Removed the Hexen format support from Eternity. This format is only meant for vanilla Hexen wads
  and should not be used for new Eternity maps.
* Do not throw a fatal error when loading invalid project resource files.

## Editing and interface

* Dragging lines or sectors can also split other lines. Currently still no support for the
  dragged lines getting split by existing vertices.
* Fixed a bug where dragging a vertex into a neighbouring linedef to split it resulted in two overlapping lines.
* Testing map now opens the game without blocking Eureka, just like user would start another app.
  Also, for macOS you can now use app bundles.
* Added tutti-frutti texture check
* Now the tagged items (regardless of type) get highlighted properly, depending on the triggering
  special.
* The tags check is now aware of the linedef special so it doesn't look for tagged sector if the
  special doesn't deal with sectors.
* Now the Jump to Objects dialog allows you to choose multiple items.
* Fixed so clicking a button while editing a panel field won't reset the field.
* Fixed wrong labelling of sidedef texture boxes.
* Now the menu commands show their actual shortcuts as set in user preferences.

## View

* Sprites are displayed with rotations both in 2D and 3D views.
* Spectral sprite view also shows up as such in the editor views, not just the sprite browser.
* Fixed Heretic torches looking wrong in the 3D mode
* Fixed the Strife klaxon things to hang from ceiling.
* Fixed the Strife Sigil sprite not displaying correctly.
* Fixed Heretic multiplayer sprite color translation
* Fixed missing 'm' texture category from heretic.ugh. Added it and named it "magic".
* Fixed failure to locate a patch if an equally named flat exists.

## Bug fixes

* Fixed an access violation happening when starting a new ZDoom project.
* Fixed a crash happening when starting a new project while a linedef is selected.
* Fixed a crash happening when using R to change sidedef offset in 3D mode on a selected (but not highlighted) linedef.
* Fixed a fatal error happening when deleting the last vertex.
* Fixed the initial grid being set one step higher than intended in preferences.
* Fixed an illegal operation being run when rendering 3D mode.

## Development

* Project uses CMake
* Deleted Makefile.xming.
* Fixed failure to compile on SmartOS.
